"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var taro_1 = require("@tarojs/taro");

function isDocumentVisible() {
  var _ref = (0, taro_1.useTaroState)(true),
      visible = _ref[0],
      setVisible = _ref[1];

  (0, taro_1.useDidShow)(function () {
    setVisible(true);
  });
  (0, taro_1.useDidHide)(function () {
    setVisible(false);
  });
  return visible;
}

exports["default"] = isDocumentVisible;